

#include <stdio.h>
#include <string.h>
#include <stdlib.h>


/*=============================================================================
 * PHONEM
 */
class phC { public:
    phC*	Next;
    char*	Name;
    int		Size;

    //
    phC(phC** h, char* s)
    {
	while(*h) h = &(*h)->Next;
	*h = this;
	Next = 0;
	Name = strdup(s);
	Size = 0;

	for(char* c = Name; *c; c++) if(*c == ' ')
	{
	    *c = '\0';
	    Size++;
	}


//	printf(" [%s] with %d\n", Name, Size);

    }

    ~phC()
    {
	free(Name);
	if(Next) delete Next;
    }


    //
    char* Get(long rnd)
    {
	rnd = 1 + rnd % Size;

	char* c = Name;
	while(rnd--) while(*c++);
	return c;
    }
};



/*=============================================================================
 * LANGUAGE
 */
class langC { public:
    phC* PhHook;

    //
    langC()		{ PhHook = 0;			}
    ~langC()		{ if(PhHook) delete PhHook;	}

    //
    void Add(char* s)	{ new phC (&PhHook, s);		}


    void Gen()
    {
	phC* p = PhHook;
	while(p)
	{
	    char* c = p->Get(random());
	    printf("_%s", c);
	    for(p = PhHook; p && strcmp(c, p->Name); p = p->Next);
	}

	printf("\n");
    }
};






/*=============================================================================
 * MAIN
 */
#include <time.h>

int main(int argc, char** argv)
{
 FILE* f = fopen(argv[1], "rt");
 if(!f) return -1;


 char bf[500];
 do {
    fgets(bf, 500, f);
 } while(bf[0] != '@');
 if(char* e = strchr(bf, '\n')) *e = '\0';


 langC lang;
 lang.Add(bf);

 while(fgets(bf, 500, f))
 {
    if(char* e = strchr(bf, '\n')) *e = '\0';
    if(strlen(bf) > 3)
	lang.Add(bf);
 }



 // gen
 srandom(time(0));
 for(int i = 0; i < 20; i++)
    lang.Gen();



}

// EOF
