

#include <stdio.h>
#include <string.h>
#include <stdlib.h>


/*=============================================================================
 * PHONEM
 */
class phC { public:
    phC*	Next;
    char*	Name;
    int		Size;

    //
    phC(phC** h, char* s)
    {
	while(*h) h = &(*h)->Next;
	*h = this;
	Next = 0;
	Name = strdup(s);
	Size = 0;

	for(char* c = Name; *c; c++) if(*c == ' ')
	{
	    *c = '\0';
	    Size++;
	}
    }

    ~phC()
    {
	free(Name);
	if(Next) delete Next;
    }


    //
    char* Get(long rnd)
    {
	rnd = 1 + rnd % Size;

	char* c = Name;
	while(rnd--) while(*c++);
	return c;
    }
};



/*=============================================================================
 * LANGUAGE
 */
class langC { public:
    phC* PhHook;

    //
    langC()		{ PhHook = 0;			}
    ~langC()		{ if(PhHook) delete PhHook;	}

    //
    void Add(char* s)	{ new phC (&PhHook, s);		}
};





/*=============================================================================
 * REFINE
 */
void removeUnterminated(phC* hook)
{
 // for any phonem
    // for any subphonem
	// if not #terminated
	    // if not in phonems list
		// remove

 for(phC* m = hook; m; m = m->Next)
    for(int i = 0; i < m->Size; i++)
    {
	char* s = m->Get(i);
	if(*s == '.' || strchr(s, '#')) continue; // removed or correctly terminated

	phC* p;
	for(p = hook; p && strcmp(p->Name, s); p = p->Next);
	if(!p) *s = '.'; // mark as removed
    }


 // remove main phonems with insufficent subphonems
 for(phC* m = hook; m; m = m->Next)
 {
    int cnt = 0;

    for(int i = 0; i < m->Size; i++)
	if(m->Get(i)[0] != '.') cnt++;

    if(cnt < 3)
	m->Name[0] = '.';
 }
}





void refine(phC* hook)
{
 for(int i = 0; i < 200; i++)
     removeUnterminated(hook);

}





/*=============================================================================
 * MAIN
 */
int main(int argc, char** argv)
{
 FILE* f = fopen(argv[1], "rt");
 if(!f) return -1;


 char bf[500];
 do {
    fgets(bf, 500, f);
 } while(bf[0] != '@');
 if(char* e = strchr(bf, '\n')) *e = '\0';


 langC lang;
 lang.Add(bf);

 while(fgets(bf, 500, f))
 {
    if(char* e = strchr(bf, '\n')) *e = '\0';
    if(strlen(bf) > 3)
	lang.Add(bf);
 }


 refine(lang.PhHook);


 // save
 for(phC* p = lang.PhHook; p; p = p->Next) if(p->Name[0] != '.')
 {
    printf("%s", p->Name);
    for(int i = 0; i < p->Size; i++)
    {
	char* c = p->Get(i);
	if(*c != '.') printf(" %s", c);
    }
    printf("\n");
 }
}

// EOF =========================================================================
